{% extends "admin/app.twig" %}
{% block content %}
<div class="container">
  {% include 'admin/navbar.twig' %}
  <div class="row">
      <div id="posts-content">
        <h1 id="content-title">Страницы</h1>
        <div id="line"></div>
          <div class="row">
            <div class="col-md-8 col-sm-12" style="margin-left:50px;">
              <form id="page-form">
              <input id="page-id" name="id" type="hidden">
                <div class="form-group">
                </div>
                <div class="form-row">
                  <div class="form-group col-md-6">
                    <label for="cat-name" class="col-form-label">Имя:</label>
                    <input name="title" type="text" class="form-control" id="page-title" oninput="sluggable('#page-title','#page-slug')">
                  </div>
                  <div class="form-group col-md-6">
                    <label for="slug" class="col-form-label">Адрес:</label>
                    <input name="slug" type="text" class="form-control" id="page-slug">
                  </div>
                </div>
                <div class="form-group">
                  <textarea name="content" class="form-control" id="postcontent"></textarea>
                </div>
                <div class="form-group">
                  <label for="description" class="col-form-label">Описание:</label>
                  <textarea name="description" class="form-control" id="page-description"></textarea>
                </div>
                <div class="custom-file">
                  <input type="file" class="custom-file-input" id="post-img">
                  <label class="custom-file-label" for="customFile">Выбрать изображение</label>
                  <img id="page-preview" src="#" alt="" style="height:200px;"/>
                </div>
              </form>
            </div>
            <div  class="col-md-3 col-sm-12">
              <div class="nav flex-column" id="v-pills-tab" aria-orientation="vertical">
                <ul class="nav flex-column">
                  <div id="menu" class="btn-group-vertical">
                    {% for page in pages %}
                    <div class="btn-group" role="group" id="page-{{ page["id"] }}">
                        <button id="page-name-{{page["id"]}}" type="button" class="btn btn-outline-primary" onclick="get_request('/home/page/show/{{page["id"]}}','show-page',{{page["id"]}})">{{page["title"]}}</button>
                        <button type="button" style="width: 50px;" class="btn btn-outline-danger" onclick="get_request('/home/page/delete/{{ page["id"] }}','delete','#page-{{ page["id"] }}')">X</button>
                    </div>
                    {%endfor%}
                  </div>
                </ul>
                <button type="button" id="add-page" class="btn btn-success" onclick="post_request('/home/page/add','add-page','page-form')" style="margin-bottom:5px;">Добавить</button>
                <button type="button" id="update-page" class="btn btn-success" onclick="post_request('/home/page/update','update-page','page-form')" style="margin-bottom:5px;">Обновить</button>
                <button type="button" id="gallery" class="btn btn-success" data-toggle="modal" data-target="#media">Галерея</button>
              </div>
            </div>
          </div>
        </div>
        <div id="content-footer"></div>
      </div>
    </div>
  </div>
</div>

<div class="modal bd-example-modal-xl fade" id="media" tabindex="-1">
  <div class="modal-dialog modal-xl" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title"></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div id="media-preview" class="modal-body">
      {% set id = 1 %}
        {% for image in images %}
        {% if (image!='.' and image!='..') %}
        <div class="media-image" id="img-{{id}}">
            <img src="/uploads/pages/{{ image }}" alt="">
            <button type="button" class="close" onclick="get_request('/home/del-img/pages/{{ image }}','del-img','img-{{id}}')">
              <span aria-hidden="true" id="del-img">&times;</span>
            </button>
        </div>
        {% set id = id + 1 %}
        {% endif %}
        {% endfor %}
      </div>
      <div class="modal-footer">
        <div id="upload-btn">
        <p id="upload-label">Загрузить фото</p>
          <input type="file" name="upload-image" class="custom-file-input" id="upload-img" onchange="uploadImage('page','add-image','{{id}}')">
        </div>
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Закрыть</button>
        <button type="button" class="btn btn-primary" onclick="">Загрузить</button>
      </div>
    </div>
  </div>
</div>
{% endblock %}